# XMLMutexMgr Class Reference

Inheritance diagram for XMLMutexMgr:

List of all members.

## Public Member Functions

| XMLMutexMgr ()
virtual | ~XMLMutexMgr ()
virtual XMLMutexHandle | create (MemoryManager *const manager)=0
virtual void | destroy (XMLMutexHandle mtx, MemoryManager *const manager)=0
virtual void | lock (XMLMutexHandle mtx)=0
virtual void | unlock (XMLMutexHandle mtx)=0

## Constructor & Destructor Documentation

XMLMutexMgr::XMLMutexMgr | ( |  | ) |

virtual XMLMutexMgr::~XMLMutexMgr | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XMLMutexHandle XMLMutexMgr::create | ( | MemoryManager *const | manager | ) | `[pure virtual]`

virtual void XMLMutexMgr::destroy | ( | XMLMutexHandle | mtx,
|  | MemoryManager *const | manager |
| ) |  |  | `[pure virtual]`

virtual void XMLMutexMgr::lock | ( | XMLMutexHandle | mtx | ) | `[pure virtual]`

virtual void XMLMutexMgr::unlock | ( | XMLMutexHandle | mtx | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- XMLMutexMgr.hpp